// Y-tool
// an alignment aid to hold the y-leadscrew while
// I clamp its nut in place

$fa = 1;
$fs = 0.4;

wide   = 35;
drop   = 16;
thread = 14;

deep   = 15;
base   = 8;
lip    = 10;
relief = 5;

difference(){
    union(){
        cube([wide+lip*2, deep, base]);
        translate([lip, 0, 0])
            cube([wide, deep, 10]);
        translate([lip+relief, 0, 0])
            cube([wide-2*relief, deep, drop+base]);
        translate([wide/2+lip, 0, base+drop])
            rotate([-90, 0, 0])
                cylinder(d=wide-2*relief, h=deep);
    }
    translate([wide/2+lip, -0.01, base+drop])
        rotate([-90,0,0])
            cylinder(d=thread, h=deep+0.02);
}
